--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Inject code that executes before the target instance method.
- !ruby/struct:SM::Flow::P 
  body: "@param target_method&lt;Symbol&gt; the name of the instance method to inject before @param method_sym&lt;Symbol&gt; the name of the method to run before the"
- !ruby/struct:SM::Flow::VERB 
  body: "  target_method\n"
- !ruby/struct:SM::Flow::P 
  body: "@param block&lt;Block&gt; the code to run before the target_method"
- !ruby/struct:SM::Flow::P 
  body: "@note"
- !ruby/struct:SM::Flow::VERB 
  body: "  Either method_sym or block is required.\n"
- !ruby/struct:SM::Flow::P 
  body: "- @api public"
full_name: Extlib::Hook::ClassMethods#before
is_singleton: false
name: before
params: (target_method, method_sym = nil, &block)
visibility: public
